\documentclass[msc,english,twoside,11pt]{gpithesis}

% class options
% -------------
% msc (default) - MSc thesis (mutually exclusive)
% bsc           - BSc thesis (mutually exclusive)
%
% english (default) - typeset thesis in English (mutually exclusive)
% german            - typeset thesis in German (mutually exclusive)
%
% xurl=true/false (default:false) - use xurl package to break URLs anywhere
% parskip=true/false (default:true) - use parskip package to get empty line for \par
% isodiff=true/false (default:true) - use ISO option for isodiff package
% esvect=char (default:b) - use 'char' as option for arrow tip in esvect package
% capitalize=true/false (default:false) - capitalize cleveref references
% abbreviate=true/false (default:true) - abbreviate cleveref references
%
% other options will be passed to the underlying LaTeX base class (book)
%

% title of thesis
\title{This is the title of my thesis}

% student's name
\author{Firstname Lastname}

% date of submission
\date{dd.mm.yyyy}

% supervisor and co-supervisor are mandatory
\supervisor*{Prof.~Dr.~Firstname1~Lastname1}
\cosupervisor{Prof.~Dr.~Firstname2~Lastname2}
% use star-version of commands for females, non-star-version of commands
% for males; this only affects Bachelor theses written in German

% advisor and co-advisor are optional (comment out if not needed)
\advisor{Dr.~Firstname3~Lastname3}
\coadvisor*{Firstname4~Lastname4}
% use star-version of commands for females, non-star-version of commands
% for males; this only affects Bachelor theses written in German

% bibliography database
\addbibresource{thesis.bib}

% hyphenation rules
\hyphenation{geo-physics}

\begin{document}
\frontmatter
\maketitle
\declaration
\input{abstract}
%\listoffigures
%\listoftables
\tableofcontents

\mainmatter
\input{introduction}
\input{theory}
% ... other chapters

\appendix
\input{appendix}

\printbibliography[heading=bibintoc]
% the bibliography is added to the table of contents; if this is not
% desired, remove the option "heading=bibintoc" in above command

\backmatter
\input{acknowledgments}
\end{document}
